# Project-wide Gradle settings.

# IDE (e.g. Android Studio) users:
# Gradle settings configured through the IDE *will override*
# any settings specified in this file.

# For more details on how to configure your build environment visit
# http://www.gradle.org/docs/current/userguide/build_environment.html

# Specifies the JVM arguments used for the daemon process.
# The setting is particularly useful for tweaking memory settings.
# Default value: -Xmx10248m -XX:MaxPermSize=256m
#org.gradle.jvmargs=-Xmx4096m -XX:MaxPermSize=2048m -XX:+HeapDumpOnOutOfMemoryError -Dfile.encoding=UTF-8

# When configured, Gradle will run in incubating parallel mode.
# This option should only be used with decoupled projects. More details, visit
# http://www.gradle.org/docs/current/userguide/multi_project_builds.html#sec:decoupled_projects
#org.gradle.parallel=true
# org.gradle.parallel=true
#org.gradle.parallel=true

android.useDeprecatedNdk=true 
android.enableAapt2=false

# pack:test|prod|pre  test测试 prod正式
#pack=pre
#pack=auto_test
#pack=test
pack=prod

#予发布环境
#http://prem.yidianling.com/

#server php服务器api域名
serverurl.test=https://testapp2.yidianling.com/v3/
serverurl.auto_test=https://auto_testapp2.yidianling.com/v3/
serverurl.prod=https://app2.yidianling.com/v3/
serverurl.pre=https://preapp.yidianling.com/v3/

#行为数据埋点域名
actionurl.test=https://testapi.ydl.com/api/data/bigdata/
actionurl.auto_test=https://auto_testapi.ydl.com/api/data/bigdata/
actionurl.prod=https://api.ydl.com/api/data/bigdata/

#新h5
weburl.test=https://testwebapp.ydl.com/
weburl.auto_test=https://auto_testwebapp.ydl.com/
weburl.prod=https://webapp.ydl.com/

#ydlh5
ydlh5url.test=https://testh5.ydl.com/
ydlh5url.auto_test=https://auto_testh5.ydl.com/
#ydlh5url.test=http://192.168.204.5:3006/
ydlh5url.prod=https://h5.ydl.com/

#h5
h5url.test=https://testh2.yidianling.com/
h5url.auto_test=https://auto_testh2.yidianling.com/
h5url.prod=https://h2.yidianling.com/
h5url.pre=https://preh.yidianling.com/

#java服务器api域名（投放系统）
javaurl.test = http://testdelivery.yidianling.com/
javaurl.auto_test = http://auto_testdelivery.yidianling.com/
javaurl.prod = https://delivery.yidianling.com/

#m站H5地址
mh5url.test = https://testnewm.ydl.com/
mh5url.auto_test = https://auto_testnewm.ydl.com/
mh5url.prod = https://m.ydl.com/

#java服务器api域名(优惠券)
javacouponurl.test = https://testapi.ydl.com/
javacouponurl.auto_test = https://auto_testapi.ydl.com/
javacouponurl.prod = https://api.ydl.com/

#java服务器api域名（h5耗时统计,域名问题后续服务端会统一）
javatempurl.test = https://47.97.49.44:8082/api/
javatempurl.prod = https://dc.ydl.com/api/

#java服务器api统一域名
javaapi.test = https://testapi.ydl.com/api/
javaapi.auto_test = https://auto_testapi.ydl.com/api/
javaapi.prod = https://api.ydl.com/api/

#android.enableBuildCache=true
#org.gradle.caching=true
#org.gradle.daemon=true
#org.gradle.jvmargs=-Xmx4096M

#systemProp.http.proxyHost=192.168.98.150
#systemProp.http.proxyPort=8123

org.gradle.jvmargs=-Xmx1024M
